Help Center
VCCHUB How-to
  1. Acquiring
  • Guides
    • Welcome
    • Interface
  • API Reference
    • Introduction
    • Endpoints
    • Data Types
    • Signing
    • 3-D Secure Verification
    • Subscription
    • Errors
    • Webhooks
    • Items Information
    • Changelog
    • Acquiring
      • Create a direct payment
        POST
      • Create a APM payment
        POST
      • Create a redirect (iFrame) payment
        POST
      • Query a transaction
        POST
      • Capture a transaction
        POST
      • Review a transaction
        POST
      • Cancel a transaction
        POST
      • Cancel a subscription
        POST
      • Refund a transaction
        POST
      • Search a refund transaction
        POST
      • Create a payout
        POST
      • Optimise payment methods
        POST
      • Batch Upload Logistics Information
        POST
      • Query a payout transaction
        POST
      • Query Merchant Payout Balance
        POST
      • Query Merchant Unsettled Amount
        POST
    • Issuing
      • Cardholder
        • Create cardholder
        • Update Cardholder
        • Delete cardholder
        • Query cardholder
      • Group
        • Create group
        • Query group details
        • Delete group
        • Group Card Withdrawal
        • Update group status
        • Recharge group
        • Query rule
      • Card
        • Create a card
        • Query card details
        • Query card transaction
        • Cancel a card
        • Withdraw from a card
        • Update card status
        • Recharge card
        • Update shared card limit
        • Query for card operation
        • Query card BIN
      • Account
        • Query Account Balance
  • Appendix
    • Test Cards
    • Bank Code
    • Country Code
    • Currency Code
    • Payment Methods
  1. Acquiring

Query Merchant Unsettled Amount

Developing
POST
https://test-api.star-saas.comv1/merchant/unsettled
Returns the merchant's unsettled funds that are pending settlement before being transferred to the Payout Balance.

Request

Body Params application/x-www-form-urlencodedRequired

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://test-api.star-saas.comv1/merchant/unsettled' \
--data-urlencode 'merchant_id=1046901' \
--data-urlencode 'account_id=1046901001' \
--data-urlencode 'request_id=REQ_202602270002' \
--data-urlencode 'encryption_data=b7b53429549827d488c43b119f34142c3ea40d5fc2b3401c9acc623d435f014f' \
--data-urlencode 'currency=USD'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
"account_id": "1046901001",
"data": {
    "currency": "USD",
    "last_updated": "2026-02-28T08:48:21Z",
    "pending_count": "12",
    "unsettled_amount": "3477.36"
},
"encryption_data": "8A138A21F958697D14C43E9D56EBB3EBEE44DB16C2643E7A90E89EA32E6F060A",
"return_message": "OK",
"return_status": "1",
"merchant_id": "1046901",
"request_id": "REQ_202602270002"
Previous
Query Merchant Payout Balance
Next
Create cardholder